## hubzero-submit-common 3.7.2-1+deb7

=== debian/changelog ===
hubzero-submit-common (3.7.2-1+deb7) unstable; urgency=low

     - Moved DAX3.py from distributor to common

 -- Steven Clark <smclark@ucsd.edu>  Wed, 20 Dec 2023 06:55:42 -0800

hubzero-submit-common (3.7.1-1) unstable; urgency=low

     - Update to version 3.7.1

 -- Steven Clark <smclark@ucsd.edu>  Tue, 30 May 2023 07:34:14 -0700

## hubzero-submit-common 3.7.2-1+deb10

=== Makefile ===
# @package      hubzero-submit-common
# @file         Makefile
# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2020 The Regents of the University of California.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of The Regents of the University of California.
#

DISTRIBUTION := $(shell lsb_release -i -s)
MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)
INSTALL_PYTHON3_LIBS := 1

ifeq ($(DISTRIBUTION),Debian)
il=--install-layout=deb
ifneq ($(filter $(MAJORVERSION),6 7 8 9),)
INSTALL_PYTHON3_LIBS := 0
endif
endif

all:
	@true

install:
	python2 setup.py install $(COMPILE) --root $(DESTDIR) $(il)
ifeq ($(INSTALL_PYTHON3_LIBS),1)
	python3 setup.py install $(COMPILE) --root $(DESTDIR) $(il)
endif

uninstall:
	@true

postinst:
	@true

clean:
	find . -name '*.pyc' -delete
	rm -f build-stamp
	rm -f configure-stamp
	python setup.py clean
	rm -fr build

.PHONY: all install uninstall postinst clean

=== debian/changelog ===
hubzero-submit-common (3.7.2-1+deb10) unstable; urgency=low

     - Moved DAX3.py from distributor to common

 -- Steven Clark <smclark@ucsd.edu>  Wed, 20 Dec 2023 06:55:42 -0800

## hubzero-submit-common 3.7.4-1+deb7

=== debian/changelog ===
hubzero-submit-common (3.7.4-1+deb7) unstable; urgency=low

     - Update to version 3.7.4

 -- Steven Clark <smclark@ucsd.edu>  Tue, 14 Jan 2025 10:04:21 -0800

hubzero-submit-common (3.7.3-1) unstable; urgency=low

     - Allow for second input file containing transformations
       (mygeoHUB workflows)
     - Support el8

 -- Steven Clark <smclark@ucsd.edu>  Thu, 13 Jun 2024 13:03:20 -0700

hubzero-submit-common (3.7.2-1) unstable; urgency=low

     - Moved DAX3.py from distributor to common

 -- Steven Clark <smclark@ucsd.edu>  Wed, 20 Dec 2023 06:55:42 -0800

## hubzero-submit-common 3.7.4-1+deb10

=== debian/changelog ===
hubzero-submit-common (3.7.4-1+deb10) unstable; urgency=low

     - Update to version 3.7.4

 -- Steven Clark <smclark@ucsd.edu>  Tue, 14 Jan 2025 10:04:21 -0800

=== debian/control ===

Source: hubzero-submit-common
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0)      , dh-python
Standards-Version: 3.8.4
X-Python-Version: >= 2.6
Homepage: http://hubzero.org

Package: hubzero-submit-common
Architecture: all
Depends:     , python3 (>=3.6), python3-numpy, python3-openssl, hubzero-python, ${misc:Depends}
Description: HUBzero submit common python library
 HUBzero python library modules to support submit packages

## hubzero-submit-common 3.7.4-1+deb12

=== debian/changelog ===
hubzero-submit-common (3.7.4-1+deb12) unstable; urgency=low

     - Update to version 3.7.4

 -- Steven Clark <smclark@ucsd.edu>  Tue, 14 Jan 2025 10:04:21 -0800

## hubzero-submit-common 3.8.1-1+deb7

=== debian/changelog ===
hubzero-submit-common (3.8.1-1+deb7) unstable; urgency=low

     - Fix reporting of exit status for redundant jobs

     - Report job exit status as the exit status for distributor
       and record result in joblog

     - Cleanup job related scripts upon job termination

     - Treat aborted jobs as complete during job monitoring

     - Preemptive change to strings containing deprecated backslash characters.
       In Python 3.12 the DeprecationWarning is upgraded to a SyntaxWarning.

 -- Steven Clark <smclark@ucsd.edu>  Thu, 26 Jun 2025 06:40:35 -0700

hubzero-submit-common (3.7.4-1) unstable; urgency=low

     - Update to version 3.7.4

 -- Steven Clark <smclark@ucsd.edu>  Tue, 14 Jan 2025 10:04:21 -0800

## hubzero-submit-common 3.8.1-1+deb10

=== debian/changelog ===
hubzero-submit-common (3.8.1-1+deb10) unstable; urgency=low

     - Fix reporting of exit status for redundant jobs

     - Report job exit status as the exit status for distributor
       and record result in joblog

     - Cleanup job related scripts upon job termination

     - Treat aborted jobs as complete during job monitoring

     - Preemptive change to strings containing deprecated backslash characters.
       In Python 3.12 the DeprecationWarning is upgraded to a SyntaxWarning.

 -- Steven Clark <smclark@ucsd.edu>  Thu, 26 Jun 2025 06:40:35 -0700

## hubzero-submit-common 3.8.1-1+deb12

=== debian/changelog ===
hubzero-submit-common (3.8.1-1+deb12) unstable; urgency=low

     - Fix reporting of exit status for redundant jobs

     - Report job exit status as the exit status for distributor
       and record result in joblog

     - Cleanup job related scripts upon job termination

     - Treat aborted jobs as complete during job monitoring

     - Preemptive change to strings containing deprecated backslash characters.
       In Python 3.12 the DeprecationWarning is upgraded to a SyntaxWarning.

 -- Steven Clark <smclark@ucsd.edu>  Thu, 26 Jun 2025 06:40:35 -0700

## hubzero-submit-common 3.8.2-1+deb7

=== debian/changelog ===
hubzero-submit-common (3.8.2-1+deb7) unstable; urgency=low

     - 3.8.2 packaging

 -- Steven Clark <clarks@purdue.edu>  Thu, 30 Oct 2025 12:22:11 -0400

hubzero-submit-common (3.8.1-1) unstable; urgency=low

     - Fix reporting of exit status for redundant jobs

     - Report job exit status as the exit status for distributor
       and record result in joblog

     - Cleanup job related scripts upon job termination

     - Treat aborted jobs as complete during job monitoring

     - Preemptive change to strings containing deprecated backslash characters.
       In Python 3.12 the DeprecationWarning is upgraded to a SyntaxWarning.

 -- Steven Clark <clarksm@purdue.edu>  Thu, 26 Jun 2025 06:40:35 -0700

=== debian/control ===

Source: hubzero-submit-common
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0)  , python-all,python-support     
Standards-Version: 3.8.4
X-Python-Version: >= 2.6
Homepage: http://hubzero.org

Package: hubzero-submit-common
Architecture: all
Depends:  , python (>=2.6), python-numpy, python-openssl    , hubzero-python, ${misc:Depends}
Description: HUBzero submit common python library
 HUBzero python library modules to support submit packages

## hubzero-submit-common 3.8.2-1+deb10

=== debian/changelog ===
hubzero-submit-common (3.8.2-1+deb10) unstable; urgency=low

     - 3.8.2 packaging

 -- Steven Clark <clarks@purdue.edu>  Thu, 30 Oct 2025 12:22:11 -0400

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-submit-common
# @file         rules
# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2020 The Regents of the University of California.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of The Regents of the University of California.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	#>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-submit-common COMPILE=--no-compile install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	if [ -f /usr/bin/python2 ]; then dh_python2 -i; fi
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-submit-common 3.8.2-1+deb12

=== debian/changelog ===
hubzero-submit-common (3.8.2-1+deb12) unstable; urgency=low

     - 3.8.2 packaging

 -- Steven Clark <clarks@purdue.edu>  Thu, 30 Oct 2025 12:22:11 -0400

## hubzero-submit-common 3.9.1-1+deb7

=== debian/changelog ===
hubzero-submit-common (3.9.1-1+deb7) unstable; urgency=low

     - Moved JobOutput.py from common to distributor
     - Added --json and --save json arguments.  The JSON files contain
       submit command line arguments.
     - Added --show argument.  Resolved command is echoed to stdout.
     - Added --nGpus and --gpn arguments for specifying GPU resource
       requirements.
     - Added --memory argument for specifying memory resource requirement.
     - Fixed stdout/stderr collection for Pegasus jobs. Changes needed to
       support Pegasus version 5+.

 -- Steven Clark <clarksm@purdue.edu>  Thu, 13 Nov 2025 13:55:14 -0400

hubzero-submit-common (3.8.2-1) unstable; urgency=low

     - 3.8.2 packaging

 -- Steven Clark <clarksm@purdue.edu>  Thu, 30 Oct 2025 12:22:11 -0400

## hubzero-submit-common 3.9.1-1+deb10

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	@true
 
 install:
-	python2 setup.py install $(COMPILE) --root $(DESTDIR) $(il)
+	if [ -f /usr/bin/python2 ]; then python2 setup.py install $(COMPILE) --root $(DESTDIR) $(il); fi
 ifeq ($(INSTALL_PYTHON3_LIBS),1)
 	python3 setup.py install $(COMPILE) --root $(DESTDIR) $(il)
 endif

=== debian/changelog ===
hubzero-submit-common (3.9.1-1+deb10) unstable; urgency=low

     - Moved JobOutput.py from common to distributor
     - Added --json and --save json arguments.  The JSON files contain
       submit command line arguments.
     - Added --show argument.  Resolved command is echoed to stdout.
     - Added --nGpus and --gpn arguments for specifying GPU resource
       requirements.
     - Added --memory argument for specifying memory resource requirement.
     - Fixed stdout/stderr collection for Pegasus jobs. Changes needed to
       support Pegasus version 5+.

 -- Steven Clark <clarksm@purdue.edu>  Thu, 13 Nov 2025 13:55:14 -0400

## hubzero-submit-common 3.9.1-1+deb12

=== debian/changelog ===
hubzero-submit-common (3.9.1-1+deb12) unstable; urgency=low

     - Moved JobOutput.py from common to distributor
     - Added --json and --save json arguments.  The JSON files contain
       submit command line arguments.
     - Added --show argument.  Resolved command is echoed to stdout.
     - Added --nGpus and --gpn arguments for specifying GPU resource
       requirements.
     - Added --memory argument for specifying memory resource requirement.
     - Fixed stdout/stderr collection for Pegasus jobs. Changes needed to
       support Pegasus version 5+.

 -- Steven Clark <clarksm@purdue.edu>  Thu, 13 Nov 2025 13:55:14 -0400

=== debian/control ===

Source: hubzero-submit-common
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0)       
Standards-Version: 3.8.4
X-Python-Version: >= 2.6
Homepage: http://hubzero.org

Package: hubzero-submit-common
Architecture: all
Depends:      , python3 (>=3.6), python3-numpy, python3-openssl, hubzero-python, ${misc:Depends}
Description: HUBzero submit common python library
 HUBzero python library modules to support submit packages

## hubzero-submit-common 3.10.1-1+deb7

=== debian/changelog ===
hubzero-submit-common (3.10.1-1+deb7) unstable; urgency=low

     - Add local execution operation mode
     - Consolidate openLogger(), daemonize(), and writePIDFile() functions

 -- Steven Clark <clarksm@purdue.edu>  Wed, 10 Dec 2025 11:47:22 -0400

hubzero-submit-common (3.9.1-1) unstable; urgency=low

     - Moved JobOutput.py from common to distributor
     - Added --json and --save json arguments.  The JSON files contain
       submit command line arguments.
     - Added --show argument.  Resolved command is echoed to stdout.
     - Added --nGpus and --gpn arguments for specifying GPU resource
       requirements.
     - Added --memory argument for specifying memory resource requirement.
     - Fixed stdout/stderr collection for Pegasus jobs. Changes needed to
       support Pegasus version 5+.

 -- Steven Clark <clarksm@purdue.edu>  Thu, 13 Nov 2025 13:55:14 -0400

## hubzero-submit-common 3.10.1-1+deb10

=== debian/changelog ===
hubzero-submit-common (3.10.1-1+deb10) unstable; urgency=low

     - Add local execution operation mode
     - Consolidate openLogger(), daemonize(), and writePIDFile() functions

 -- Steven Clark <clarksm@purdue.edu>  Wed, 10 Dec 2025 11:47:22 -0400

## hubzero-submit-common 3.10.1-1+deb12

=== debian/changelog ===
hubzero-submit-common (3.10.1-1+deb12) unstable; urgency=low

     - Add local execution operation mode
     - Consolidate openLogger(), daemonize(), and writePIDFile() functions

 -- Steven Clark <clarksm@purdue.edu>  Wed, 10 Dec 2025 11:47:22 -0400

## hubzero-submit-common 3.10.2-1+deb7

=== debian/changelog ===
hubzero-submit-common (3.10.2-1+deb7) unstable; urgency=low

     - sys.stdout.fileno() fails in Jupyter Notebook environment

 -- Steven Clark <clarksm@purdue.edu>  Tue, 16 Dec 2025 12:50:14 -0400

hubzero-submit-common (3.10.1-1) unstable; urgency=low

     - Add local execution operation mode
     - Consolidate openLogger(), daemonize(), and writePIDFile() functions

 -- Steven Clark <clarksm@purdue.edu>  Wed, 10 Dec 2025 11:47:22 -0400

## hubzero-submit-common 3.10.2-1+deb10

=== debian/changelog ===
hubzero-submit-common (3.10.2-1+deb10) unstable; urgency=low

     - sys.stdout.fileno() fails in Jupyter Notebook environment

 -- Steven Clark <clarksm@purdue.edu>  Tue, 16 Dec 2025 12:50:14 -0400

## hubzero-submit-common 3.10.2-1+deb12

=== debian/changelog ===
hubzero-submit-common (3.10.2-1+deb12) unstable; urgency=low

     - sys.stdout.fileno() fails in Jupyter Notebook environment

 -- Steven Clark <clarksm@purdue.edu>  Tue, 16 Dec 2025 12:50:14 -0400

## hubzero-submit-common 3.11.1-1+deb7

=== debian/changelog ===
hubzero-submit-common (3.11.1-1+deb7) unstable; urgency=low

     - Run all daemon logging through rsyslog

 -- Steven Clark <clarksm@purdue.edu>  Fri, 13 Feb 2026 10:04:14 -0400

hubzero-submit-common (3.10.2-1) unstable; urgency=low

     - sys.stdout.fileno() fails in Jupyter Notebook environment

 -- Steven Clark <clarksm@purdue.edu>  Tue, 16 Dec 2025 12:50:14 -0400

## hubzero-submit-common 3.11.1-1+deb10

=== debian/changelog ===
hubzero-submit-common (3.11.1-1+deb10) unstable; urgency=low

     - Run all daemon logging through rsyslog

 -- Steven Clark <clarksm@purdue.edu>  Fri, 13 Feb 2026 10:04:14 -0400

=== debian/control ===

Source: hubzero-submit-common
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0)      , dh-python 
Standards-Version: 3.8.4
X-Python-Version: >= 2.6
Homepage: http://hubzero.org

Package: hubzero-submit-common
Architecture: all
Depends:     , python3 (>=3.6), python3-numpy, python3-openssl , hubzero-python, ${misc:Depends}
Description: HUBzero submit common python library
 HUBzero python library modules to support submit packages

## hubzero-submit-common 3.11.1-1+deb12

=== debian/changelog ===
hubzero-submit-common (3.11.1-1+deb12) unstable; urgency=low

     - Run all daemon logging through rsyslog

 -- Steven Clark <clarksm@purdue.edu>  Fri, 13 Feb 2026 10:04:14 -0400
